Loading...
Searching...
No Matches
Lattice::symbol_t Struct Reference

## Public Member Functions

symbol_t | operator+= (const symbol_t s2)
bool | operator!= (const symbol_t &s2) const

## Public Attributes

int | qmap_index
int | nmap_index

## Detailed Description

Definition at line 65 of file EST_lattice.h.

## Member Function Documentation

## operator!=()

bool Lattice::symbol_t::operator!= | ( | const symbol_t & | s2 | ) | const

Definition at line 1780 of file EST_lattice.cc.

## Member Data Documentation

## qmap_index

int Lattice::symbol_t::qmap_index

Definition at line 66 of file EST_lattice.h.

## nmap_index

int Lattice::symbol_t::nmap_index

Definition at line 67 of file EST_lattice.h.

The documentation for this struct was generated from the following files:

- include/EST_lattice.h
- grammar/ngram/EST_lattice.cc